#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kdesdk-kioslaves
Summary: K Desktop Environment - Software Development Kit
Version: 4.12.5
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: subversion-devel

Conflicts: cervisia < 1:4.10.80
Conflicts: kdesdk4-core < 1:4.10.80

%description
Software Development Kit for the K Desktop Environment.

%files
%_kde_bindir/kio_svn_helper
%_kde_appsdir/kio_perldoc/pod2html.pl
%_kde_libdir/kde4/kded_ksvnd.so
%_kde_libdir/kde4/kio_svn.so
%_kde_libdir/kde4/kio_perldoc.so
%_kde_iconsdir/hicolor/*/actions/*.png
%_kde_iconsdir/hicolor/*/actions/*.svgz
%_kde_services/perldoc.protocol
%_kde_services/ServiceMenus/subversion.desktop
%_kde_services/ServiceMenus/subversion_toplevel.desktop
%_kde_services/kded/ksvnd.desktop
%_kde_services/*.protocol
%_datadir/dbus-1/interfaces/org.kde.ksvnd.xml

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641292
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554982
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551250
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540391
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490830
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476907
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465304
- Update tarball to KDE SC 4.11.0
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458896
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455286
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448021
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kdesdk-kioslaves

  + lmenut <lmenut>
    - Add missing conflicts

